Announcement

Collapse
No announcement yet.

vBulletin Survey

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Razasharp
    replied
    Depends 'how recent' the versions Kier is on about I guess..

    Leave a comment:


  • ManagerJosh
    replied
    Originally posted by Razasharp View Post
    Glad it worked Coffee

    Just an update to say I am still getting errors, even with wait timeout set to 120.

    I may downgrade back to php 4 until all my sites are on 3.7 - how much benefit is it to 3.7 if PHP5 is used?
    http://www.vbulletin.com/forum/showp...47&postcount=2

    Leave a comment:


  • Razasharp
    replied
    Glad it worked Coffee

    Just an update to say I am still getting errors, even with wait timeout set to 120.

    I may downgrade back to php 4 until all my sites are on 3.7 - how much benefit is it to 3.7 if PHP5 is used?

    Leave a comment:


  • coffee
    replied
    Yes, I have easyapachi and thank you very much ..

    Built and using mySqli now

    Leave a comment:


  • Razasharp
    replied
    Are you running easyapache too? If so, select the profile of your existing set-up, go through the php steps and then at the end click to view all modules, and select mysqli advanced from there.

    Leave a comment:


  • coffee
    replied
    Originally posted by Razasharp View Post
    Update: All done - now running with mysqli. Will report back if there are any more error messages.
    I have about the same; Could you please post the steps?

    Leave a comment:


  • Razasharp
    replied
    Update: Had 4 error emails today... will try increasing wait timeout to 120 and see how that goes.

    Leave a comment:


  • Razasharp
    replied
    I think there was a checkbox for it... I must have missed it

    I'll re-run it tonight, although the errors seemed to have stopped after increasing the wait timeout to 120 (but then the weekends are not our busiest times)

    If there are any more probs I'll report back.. thanks for your help.

    I think I may have to get a new server anyway, as I guess the new SN/album features in 3.7 will pretty much need it

    Update: All done - now running with mysqli. Will report back if there are any more error messages.
    Last edited by Razasharp; Sat 19 Apr '08, 5:04pm.

    Leave a comment:


  • Kier
    replied
    Interesting that your PHP build doesn't include mysqli... maybe it's a special parameter you need to pass to easyapache. I'm afraid it's a long time since I ran easyapache so I'm a bit rusty.

    Leave a comment:


  • Razasharp
    replied
    Thanks Kier, will change memory limit to 16MB.

    Config.php has mysql selected, shall I change it to mysqli? (do I just need to edit the config file? Or run an upgrade script of some sort too?)

    Edit: Just tried changing it and got this:

    Fatal error: Call to undefined function mysqli_init() in /home/my-site/public_html/includes/class_core.php on line 1030
    Last edited by Razasharp; Sat 19 Apr '08, 11:33am.

    Leave a comment:


  • Kier
    replied
    The first thing I'd do is up your PHP memory limit to 16MB, but that's almost certainly not going to address your MySQL problem. Diagnosing MySQL server problems isn't really my forte, but hopefully someone will have some ideas.

    Just had a thought - are you using the 'mysql' dbtype in config.php, or 'mysqli'? It's possible that could make a difference.

    Leave a comment:


  • Razasharp
    replied
    Thanks for your help both!

    Originally posted by Kier View Post
    Did you upgrade both MySQL and PHP? How did you upgrade, using a binary or a self-compile? What platform are we talking about, and what versions? APC or no?
    I used Cpanels easyapache (via WHM) to upgrade. We're running CENTOS Enterprise 3.9 i686 and have APC installed (do I need to update APC after moving up to php 5?)

    Web Server Apache v1.3.41
    PHP 5.2.5
    PHP Max Post Size 55.00 MB
    PHP Maximum Upload Size 2.00 MB
    PHP Memory Limit 8.00 MB
    MySQL Version 5.0.45-community
    MySQL Packet Size 64.00 MB

    Data Usage 546.38 MB
    Index Usage 341.97 MB
    Attachment Usage 69.16 MB
    Avatar Usage 2.40 MB
    Profile Picture Usage 2.45 MB

    I noticed it only upgraded to MySQL Version 5.0.45, and not 5.0.51 (there was only an option to check mysql 5 in the settings).


    Originally posted by Wayne Luke View Post
    What is your wait_timeout set to in the MySQL Configuration files? You can see this in the admin CP under Maintenance -> Diagnostics -> System Information. Select to view MySQL Variables. It is the last one.

    Had frequent server has gone away errors on a site that I manage after the host upgraded to PHP 5.2.5 and MySQL 5.0.51 a few days ago. They had set the wait timeout to 15 seconds. The default from MYSQL is 28800 seconds. After having them increase the value to 120 seconds, the errors have ceased. The hosting account is a cPanel account so not sure if they upgraded with the cPanel package or by compiling themselves. Could be an issue in the newer version of MySQL packages distributed by cPanel.
    Wait timeout is set to 30, although if you see the original thread here, we tried upping the timeout, and it while it helped with the errors, it also made the boards run 'slow':

    I was still getting the errors even at 90s, so I recomplied Apache, and upgraded php to 5.2 and forced reinstalled mysql to the latest version (and did the same for ACP). Basically got everything on the server to the latest versions... however the problem didnt go away, about once a day I would get sent the error - 10 min or so difference in the start time of the first email to the time in the last email.

    So I upped the wait timeout as you suggested... no good, so upped it again, in the end I put it to about 5000 (!) and the errors stopped... however I noticed recently that the site was running slow/sluggish - where it was not as responsive after clicking on a link. So I changed the wait time out back to 30, which resolved the speed issue, but guess what? The error messages have started again! :-(
    Apart from downgrading back to php4 (which helped cut down the errors considerably) we upgraded the ram by an extra gig (to 2GB) which then stopped them. I also off-loaded attachments to a different server (by using a different script - but only supporting members could upload them anyway).

    I will try increasing the wait time to 90, and see how that goes.

    Thanks again for your help both.

    Leave a comment:


  • Wayne Luke
    replied
    Originally posted by Razasharp View Post
    They are always: 'MySQL Error : MySQL server has gone away' and almost always (least this time they were all) to do with 'UPDATE session'. The boards are running 3.6.8 with latest patch. However the boards themselves seem to be running ok (in fact a lot faster if anything).
    What is your wait_timeout set to in the MySQL Configuration files? You can see this in the admin CP under Maintenance -> Diagnostics -> System Information. Select to view MySQL Variables. It is the last one.

    Had frequent server has gone away errors on a site that I manage after the host upgraded to PHP 5.2.5 and MySQL 5.0.51 a few days ago. They had set the wait timeout to 15 seconds. The default from MYSQL is 28800 seconds. After having them increase the value to 120 seconds, the errors have ceased. The hosting account is a cPanel account so not sure if they upgraded with the cPanel package or by compiling themselves. Could be an issue in the newer version of MySQL packages distributed by cPanel.

    Leave a comment:


  • Kier
    replied
    Did you upgrade both MySQL and PHP? How did you upgrade, using a binary or a self-compile? What platform are we talking about, and what versions? APC or no?

    Leave a comment:


  • Razasharp
    replied
    Well I upgraded last night and I am getting the same problems again (the ones that we downgraded to php4 to avoid).

    They are always: 'MySQL Error : MySQL server has gone away' and almost always (least this time they were all) to do with 'UPDATE session'. The boards are running 3.6.8 with latest patch. However the boards themselves seem to be running ok (in fact a lot faster if anything).

    Are there any specific modules vB needs on the server? (Such as curl, mycrypt etc).

    Leave a comment:

widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X